Skip to main content
GET
/
api
/
opportunities
/
{opp_id}
Get Opportunity Endpoint
curl --request GET \
  --url https://api.example.com/api/opportunities/{opp_id}
{
  "company": "<string>",
  "contact_name": "<string>",
  "created_at": "<string>",
  "id": "<string>",
  "role_title": "<string>",
  "status": "interested",
  "updated_at": "<string>",
  "contact_linkedin": "<string>",
  "contact_title": "<string>",
  "follow_up_date": "<string>",
  "job_url": "<string>",
  "location": "<string>",
  "notes": "<string>",
  "salary_range": "<string>",
  "source_id": "<string>"
}

Path Parameters

opp_id
string
required

Response

Successful Response

Full opportunity entity.

company
string
required
contact_name
string
required
created_at
string
required
id
string
required
role_title
string
required
status
enum<string>
required
Available options:
interested,
applied,
interviewing,
offer,
rejected,
archived
updated_at
string
required
contact_linkedin
string | null
contact_title
string | null
follow_up_date
string | null
job_url
string | null
location
string | null
notes
string | null
salary_range
string | null
source_id
string | null